Scope requirements
Scope requirements
Retrieve survey responses
To view details about your survey responses, you can retrieve data in bulk for multiple surveys, or for an individual survey. For example, you can use the API to see all survey responses for a specific NPS survey. To retrieve submissions, make aGET request to /crm/objects/2026-03/feedback_submissions/{feedbackSubmissionId}. By default, the following properties are returned for each submission: hs_createdate, hs_lastmodifieddate, and hs_object_id, but you also can retrieve additional properties.
For example, to retrieve survey submissions with the source and sentiment of the submissions, your request URL would look like: https://api.hubspot.com/crm/objects/2026-03/feedback_submissions?properties=hs_sentiment,hs_survey_channel.
Survey response properties
Survey responses have default properties that contain information about the survey, submission answers, and the date the survey was submitted. You can also create custom submissions properties. Survey response properties cannot be created or edited via API. You can only create properties in the survey response tool within HubSpot, and the properties cannot be edited after creation.Merge feedback submissions
To merge two feedback submission records, make aPOST request to /crm/objects/2026-03/feedback_submissions/merge. The remaining record combines activities, associations, and most property values from both records. For example, merge duplicate feedback submissions to preserve historical context and consolidate their activity timelines. Learn more about what happens when you merge HubSpot records.
Include the following in your request body:
For example, to merge the record
45678 into the record 12345, your request would look like:
id is the record ID of the merged record.